cancel
Showing results for 
Search instead for 
Did you mean: 

Sap Commerce 2211 local setup failed during ant initialize

x1111111111
Explorer
0 Kudos

2211-error.txt

Sap Commerce Version 2211

OS MAC

I am trying to install using install recipe

able to execute below commands successfully

ant clean all<br>./install.sh -r cx -A local_property:initialpassword.admin=your_password<br>./install.sh -r cx start

but got error while

ant initialize

below is the error

full logs >> 2211-error.txt

[exec] smarteditloader 17.08 seconds

[exec] webappinjector 19.03 seconds

[exec]

[exec] ==[ FAILURE: 1 operation ]=====================================================

[exec]

[exec] --[ FAILURE: smarteditmaster ]------------------------------[ 51.43 seconds ]--

[exec]

[exec] Invoking: npm run build:prod

[exec] assets by status 2.65 MiB [cached] 45 assets

[exec] assets by status 7.63 MiB [compared for emit]

[exec] assets by path *.js 6.2 MiB

[exec] asset vendors.js 4.25 MiB [compared for emit] [minimized] [big] (name: vendors) (id hint: vendors) 1 related asset

[exec] asset smarteditcontainer.js 1.95 MiB [compared for emit] [minimized] [big] (name: smarteditcontainer) 1 related asset

[exec] asset smarteditcontainer.css 1.43 MiB [emitted] [compared for emit] [minimized] [big] (name: smarteditcontainer)

[exec] asset ../index.jsp 4.29 KiB [compared for emit]

[exec] Entrypoint smarteditcontainer [big] 7.62 MiB (2.65 MiB) = vendors.js 4.25 MiB smarteditcontainer.css 1.43 MiB smarteditcontainer.js 1.95 MiB 45 auxiliary assets

[exec] orphan modules 5.91 MiB (javascript) 2.97 MiB (asset) 7.47 KiB (runtime) [orphan] 277 modules

[exec] ...23 lines omitted...

[exec] smarteditcontainer (7.62 MiB)

[exec] vendors.js

[exec] smarteditcontainer.css

[exec] smarteditcontainer.js

[exec]

[exec] WARNING in webpack performance recommendations:

[exec] You can limit the size of your bundles by using import() or require.ensure to lazy load some parts of your application.

[exec] For more info visit https://webpack.js.org/guides/code-splitting/

[exec]

[exec] webpack 5.79.0 compiled with 3 warnings in 35816 ms

[exec]

[exec]

[exec] rush build (3 minutes 19.3 seconds)

[exec] Returned error code: 243

[exec] "smarteditmaster" failed to build.

[exec] Operations failed.

[exec]

BUILD FAILED

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/platform/build.xml:13: The following error occurred while executing this line:

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/platform/resources/ant/compiling.xml:95: The following error occurred while executing this line:

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/platform/resources/ant/compiling.xml:153: The following error occurred while executing this line:

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/platform/resources/ant/util.xml:13: The following error occurred while executing this line:

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/platform/resources/ant/compiling.xml:160: The following error occurred while executing this line:

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/platform/resources/ant/compiling.xml:289: The following error occurred while executing this line:

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/platform/resources/ant/util.xml:142: The following error occurred while executing this line:

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/modules/smartedit/smartedittools/buildcallbacks.xml:169: The following error occurred while executing this line:

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/modules/npm-ancillary/npmancillary/buildcallbacks.xml:536: The following error occurred while executing this line:

/Users/aarunsaw/workspace/sap-cx/2205-codebase/hybris/bin/modules/npm-ancillary/npmancillary/buildcallbacks.xml:142: exec returned: 1

Total time: 5 minutes 33 seconds

full logs >> 2211-error.txt

Accepted Solutions (0)

Answers (2)

Answers (2)

gaurav11
Participant
0 Kudos

Hi,

Recommended Environment

Angular CLI: 15.2.8Node: 18.10.0Package Manager: yarn 1.22.19OS: win32 x64

Steps - Follow below steps, to setup Spartacus Upgrade changes in your local system:

Update node version to

18.10.0

Remove Angular CLI

npm uninstall -g @angular/cli

Install Angular CLI with specific version

npm install -g @angular/cli@15.2.8

Navigate to

js-storefront\mftbcstore

Add shared

.npmrc

in the same location

Run

yarn install

Run

yarn start

Thanks,

fionnziegler2
Explorer
0 Kudos

What is you node version? Please upgrade to at least 16 or 18 and try again

x1111111111
Explorer
0 Kudos

tried different versions of node from 16 to 18. Still faced the same issue. i thought node would be installed automatically during build.

sh-3.2# . ./setantenv.sh 
Apache Ant(TM) version 1.10.13 compiled on January 4 2023
openjdk version "17.0.7" 2023-04-18 LTS
OpenJDK Runtime Environment SapMachine (build 17.0.7+7-LTS-sapmachine)
OpenJDK 64-Bit Server VM SapMachine (build 17.0.7+7-LTS-sapmachine, mixed mode)
Node Version ==> v16.14.2
ant home: /Users/aarunsaw/workspace/sap-cx/cx-2211/hybris/bin/platform/apache-ant
ant opts: -Xmx2G -Dfile.encoding=UTF-8 -Dpolyglot.js.nashorn-compat=true -Dpolyglot.engine.WarnInterpreterOnly=false --add-exports java.xml/com.sun.org.apache.xpath.internal=ALL-UNNAMED --add-exports java.xml/com.sun.org.apache.xpath.internal.objects=ALL-UNNAMED
java home: /Users/aarunsaw/Downloads/sapmachine-jdk-17.0.7.jdk/Contents/Home